#! /bin/sh
#批量格式化
#-xC75 每行长度75

for file_name in $(find . -name '*.c' -or -name '*.cpp' -or -name '*.h' -type f)
do
     astyle --style=linux --indent=force-tab=8 --indent-switches --align-pointer=name --align-reference=name --break-blocks -p  $file_name
done

# 删除.orig文件
for file_name in $(find . -name '*.orig' -type f)
do
     rm $file_name
done 
