#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>

void get_start_time(struct timeval *tval_start)
{
	gettimeofday(tval_start, NULL);

	return;
}

float get_elapsed_time(struct timeval tval_start)
{
	struct timeval tval_end, tval_diff;
	gettimeofday(&tval_end, NULL);
	tval_diff.tv_sec = tval_end.tv_sec - tval_start.tv_sec;
	tval_diff.tv_usec = tval_end.tv_usec - tval_start.tv_usec;

	if(tval_diff.tv_usec < 0) {
		--tval_diff.tv_sec;
		tval_diff.tv_usec += 1000000;
	}

	return (float)tval_diff.tv_sec + (float)tval_diff.tv_usec / 1000000;
}
